import QtQuick 2.13
import QtQuick.Controls 2.13
import QtQuick.Layouts 1.4

ApplicationWindow {
    visible: true
    width: 640
    height: 480
    title: qsTr("Scroll")

    Rectangle {
        width: 200
        height: 200
        color: mouseArea.pressed ? "red" : "blue"
        opacity: 0.6

        MouseArea { //Similar problems occur if you change MouseArea to Button
            id: mouseArea

            anchors.fill: parent
        }
    }
    Rectangle {
        y: 100
        z: -1
        width: 200
        height: 200
        color: dragHandler.active ? "orange" : "green"
        opacity: 0.6

        DragHandler {
            id: dragHandler
        }
    }
}
